* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.container {
    max-width: 520px;
    margin: 0 auto;
    padding: 0;
    background-color: #ffffff;
}

.setting-img-h5 {
    gap: 10px;
}

.arrow-setting {
    position: relative;
    bottom: 12px;
}

.setting-h5 {
    color: #251504;
    font-size: 18px;
}

.settings-card {
    max-width: 400px;
    margin: 13px auto;
    padding: 27px;
    border-radius: 20px;
    background-image: url('../assets/img/sharik.svg');
    background-color: #F4F1EC;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    /*height: 880px;*/
}

.profile-pic {
    width: 82px;
    height: 82px;
    border-radius: 50%;
    object-fit: cover;
    margin-bottom: 10px;
}

.upload-link {
    color: #007bff;
    text-decoration: none;
    cursor: pointer;
    font-size: 14px;
}

.btn-orange {
    background: linear-gradient(to right, #fda085, #f6d365);
    border: none;
    color: #fff;
    padding: 10px 20px;
    border-radius: 30px;
    font-weight: bold;
}

.form-label {
    color: #87837B;
    font-size: 14px;
    font-weight: 400;
}

.form-control {
    width: 100%;
    height: 45px;
    background-color: white;
    border-radius: 10px;
    border: none;
    font-size: 16px;
    padding: 15px 15px;
    font-weight: 600;
    background-image: url('../assets/img/input-icon.svg');
    background-repeat: no-repeat;
    background-position: 10px center;
    padding-left: 20px;
    box-sizing: border-box;
}

.form-control::placeholder {
    color: #a49e95;
    font-weight: 400;
}

/* button Promokod */

.button-wrapper {
    position: relative;
    display: inline-block;
    padding: 20px;
    left: 10px;
    top: 5px;
}

.shadow-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 152px;
    height: 65px;
    background: linear-gradient(to bottom, #D48C5B, #855023);
    border-radius: 30px 20px 20px 30px;
    z-index: 0;
    transform: translate(14px, 13px);
}

.promokod-btn {
    position: relative;
    z-index: 1;
    background: linear-gradient(to bottom, #FFD417, #F94B00);
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 16px;
    left: 3px;
    font-weight: bold;
    padding: 9px 22px;
    width: 139px;
    height: 50px;
    box-shadow: inset -5px -5px 10px rgba(255, 255, 255, 0.4),
    inset 5px 5px 10px rgba(0, 0, 0, 0.2);
}

.promokod-btn::before {
    content: '';
    position: absolute;
    top: 15%;
    left: 10%;
    width: 30px;
    height: 20px;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    z-index: 2;
}

.promokod-btn:focus {
    outline: none;
    box-shadow: none;
}


/* button Promokod */



/* savol - javob */

.question-box {
    max-width: 520px;
    margin: 0 auto;
    padding: 20px;
    background-color: #FFFAED;
}

.question-number {
    position: absolute;
    top: 10px;
    left: 30px;
    background-color: #c0392b;
    color: white;
    width: 35px;
    height: 35px;
    text-align: center;
    line-height: 35px;
    border-radius: 50%;
    font-weight: bold;
    font-size: 16px;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 35px;
    font-size: 24px;
    color: #000;
    text-decoration: none;
    width: 24px;
    height: 24px;
}

.progress-bar {
    height: 5px;
    background-color: #e74c3c;
    border-radius: 2px;
}

.question-text {
    background-color: #FFFAED;
    border-radius: 15px;
    padding: 15px;
    width: 382px;
    height: 134px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    margin: 0 auto;
}

.question-text h1 {
    color: #363332;
    font-weight: bold;
    font-size: 29px;
}

.animals-img {
    display: block;
    margin: 20px auto;
}

.option-box {
    width: 382px;
    height: 85px;
    padding: 12px 15px;
    border-radius: 12px;
    margin-bottom: 10px;
    font-weight: 600;
    font-family: 'Rubik', sans-serif;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    margin: 10px auto;
    background-color: #FFFAED;
}

.option-box:hover {
    background-color: #eae9e9;
    cursor: pointer;
}

.jerafa {
    height: 100px;
    display: flex;
    gap: 400px;
    padding: 30px;
}

.question-number-test {
    background-color: #c0392b;
    color: white;
    width: 35px;
    height: 35px;
    text-align: center;
    line-height: 35px;
    border-radius: 50%;
    font-weight: bold;
    font-size: 16px;
}

.close-icons {
    width: 24px;
    height: 24px;
    position: relative;
    top: 10px;
}

/* savol - javob */


/* Modal oynajon */

.modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    /*z-index: 1000;*/
}

.modal-content {
    background: #fff;
    margin: 15% auto;
    padding: 20px;
    width: 300px;
    border-radius: 10px;
}

.close {
    float: right;
    font-size: 24px;
    cursor: pointer;
}

/* Modal oynajon */


.question-text-h1 {
    background-color: #FFFAED;
    border-radius: 15px;
    width: 382px;
    height: 126px;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    margin: 0 auto;
}

.question-text-h1 h1 {
    color: #363332;
    font-weight: 600;
    font-size: 96px;
    text-align: center;
}

.option-box-option {
    width: 382px;
    height: 85px;
    padding: 12px 15px;
    border-radius: 12px;
    font-weight: 600;
    font-family: 'Rubik', sans-serif;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);

}

.option-box-test {
    width: 165px;
    height: 85px;
    padding: 5px 20px;
    border-radius: 20px;
    margin-bottom: 10px;
    font-size: 48px;
    font-weight: 600;
    font-family: 'Rubik', sans-serif;
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
    margin: 10px auto;
    background-color: #FFFAED;
}

.background-test {
    background-image: url('../assets/img/modal.svg');
    background-repeat: no-repeat;
    height: 840px;
    padding-top: 20px;
    background-color: #FFFAED;
}

.option-box-test:hover {
    background-color: #eae9e9;
    cursor: pointer;
}

.tests-wrap {
    display: flex;
}

.options {
    margin-top: 30px;
}

/* button test */

.btn-test-wrap {
    display: flex;
    justify-content: center;
    align-items: center;
}

.button-wrapper-tests {
    position: relative;
    display: inline-block;
    padding: 20px;
    top: 40px;
}

.shadow-bg-tests {
    position: absolute;
    top: 0;
    left: 0;
    width: 313px;
    height: 77px;
    background: linear-gradient(to right, #D48C5B, #855023);
    border-radius: 20px;
    z-index: 0;
    transform: translate(14px, 13px);
}

.promokod-btn-tests {
    position: relative;
    background: linear-gradient(to bottom, #327fa3, #007bff);
    border: none;
    border-radius: 20px;
    color: white;
    font-size: 32px;
    font-weight: bold;
    padding: 6px 22px;
    width: 290px;
    margin-left: 6px;
    height: 60px;
    box-shadow: inset -5px -5px 10px rgba(255, 255, 255, 0.4),
    inset 5px 5px 10px rgba(0, 0, 0, 0.2);
}

.promokod-btn-tests::before {
    content: '';
    position: absolute;
    top: 15%;
    left: 10%;
    width: 30px;
    height: 20px;
    background: rgba(255, 255, 255, 0.3);
    border-radius: 50%;
    z-index: 2;
}

.promokod-btn-tests:focus {
    outline: none;
    box-shadow: none;
}


/* button test */

/* 520 */

@media (max-width:520px) {
    .question-text {
        width: 342px;
    }

    .option-box {
        width: 342px;
    }

    .animals-img {
        max-width: 320px;
    }

    .question-number-test {
        left: 30px;
    }

    .close-btn-test {
        right: 30px;
    }

}

/* 520 */

/* 511 */

@media (max-width:511px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 400px;
        padding: 30px;
    }
}

/* 511 */

/* 508 */

@media (max-width:508px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 360px;
        padding: 30px;
    }
}

/* 508 */


/* 477 */

@media (max-width:477px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 340px;
        padding: 30px;
    }
}

/* 477 */


/* 451 */

@media (max-width:451px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 320px;
        padding: 30px;
    }
}

/* 451 */


/* 432 */

@media (max-width:432px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 300px;
        padding: 30px;
    }
}

/* 432 */


/* 416 */

@media (max-width:416px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 280px;
        padding: 30px;
    }
}

/* 416 */

/* 390 */

@media (max-width:390px) {
    .question-text {
        width: 302px;
    }

    .option-box {
        width: 302px;
    }

    .animals-img {
        max-width: 280px;
    }

    .question-text-h1 {
        width: 320px;
        height: 120px;
    }

    .jerafa {
        height: 100px;
        display: flex;
        gap: 260px;
        padding: 30px;
    }
}

/* 390 */

/* 370 */

@media (max-width:370px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 240px;
        padding: 30px;
    }
}

/* 370 */

/* 350 */

@media (max-width:350px) {
    .jerafa {
        height: 100px;
        display: flex;
        gap: 220px;
        padding: 30px;
    }
}

/* 350 */


/* 390 */

@media (max-width:390px) {
    .question-text {
        width: 282px;
    }

    .question-text h1 {
        font-size: 26px;
    }

    .option-box {
        width: 282px;
    }

    .background-test {
        height: 620px;
    }

    .option-box-test {
        width: 155px;
        height: 75px;
        font-size: 38px;
    }

    .question-text-h1 {
        width: 300px;
        height: 100px;
    }

    .question-text-h1 h1 {
        font-size: 60px;
        padding-top: 10px;
    }

}

/* 360 */

/* 320 */

@media (max-width:320px) {
    .question-text {
        width: 242px;
    }

    .question-text h1 {
        font-size: 24px;
    }

    .option-box {
        width: 242px;
        font-size: 15px;
    }

    .animals-img {
        max-width: 240px;
    }

    .option-box-test {
        width: 135px;
        height: 55px;
        font-size: 28px;
        padding-left: 30px;
    }

    .question-text-h1 {
        width: 260px;
    }


    .background-test {
        height: 500px;
    }

    .jerafa {
        height: 100px;
        display: flex;
        gap: 200px;
        padding: 30px;
    }
}

/* 320 */

/* 375 */

@media (max-width:375px) {
    .shadow-bg-tests {
        width: 276px;
    }

    .promokod-btn-tests {
        width: 250px;
    }

}

/* 375 */
